Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Interface HasWidgets

All Superinterfaces:
  java.lang.Iterable<Widget>

All Known Implementing Classes:
  AbsolutePanel, CaptionPanel, CellPanel, ComplexPanel, DeckPanel, DecoratedPopupPanel, DecoratedStackPanel, DecoratedTabPanel, DecoratorPanel, DialogBox, DisclosurePanel, DockPanel, FlexTable, FlowPanel, FocusPanel, FormPanel, Grid, HorizontalPanel, HorizontalSplitPanel, HTMLPanel, HTMLTable, Panel, PopupPanel, RootPanel, ScrollPanel, SimplePanel, StackPanel, TabPanel, Tree, VerticalPanel, VerticalSplitPanel

    public interface HasWidgets

extends java.lang.Iterable<Widget>

A widget that implements this interface contains `widgets` and can enumerate them.

Method Summary
`void` | `add(Widget w)` Adds a child widget.
`void` | `clear()` Removes all child widgets.
`java.util.Iterator<Widget>` | `iterator()` Gets an iterator for the contained widgets.
`boolean` | `remove(Widget w)` Removes a child widget.

Method Detail

### add

    void add(Widget w)

  Adds a child widget.

  Parameters:
    `w` - the widget to be added
  Throws:
    `java.lang.UnsupportedOperationException` - if this method is not supported (most often this means that a specific overload must be called)

### clear

    void clear()

  Removes all child widgets.

### iterator

    java.util.Iterator<Widget> iterator()

  Gets an iterator for the contained widgets. This iterator is required to implement `Iterator.remove()`.

  Specified by:
    `iterator` in interface `java.lang.Iterable<Widget>`

### remove

    boolean remove(Widget w)

  Removes a child widget.

  Parameters:
    `w` - the widget to be removed
  Returns:
    `true` if the widget was present

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD